summaryrefslogtreecommitdiffstats
path: root/graphics/fontforge/fontforge.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/fontforge/fontforge.SlackBuild')
-rw-r--r--graphics/fontforge/fontforge.SlackBuild15
1 files changed, 10 insertions, 5 deletions
diff --git a/graphics/fontforge/fontforge.SlackBuild b/graphics/fontforge/fontforge.SlackBuild
index 823172ca7d..4c617e7c58 100644
--- a/graphics/fontforge/fontforge.SlackBuild
+++ b/graphics/fontforge/fontforge.SlackBuild
@@ -26,7 +26,7 @@
# file right without too much manual intervention :-)
PRGNAM=fontforge
-VERSION=20080309
+VERSION=20080927
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,6 +40,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -59,13 +61,16 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--with-x \
--with-freetype-src=$CWD/freetype-2.3.5 \
- --with-multilayer \
+ --with-freetype-bytecode=no \
--with-devicetables \
+ --enable-libff \
+ --enable-pyextension \
+ --enable-type3 \
+ --enable-tilepath \
--disable-debug \
--enable-static=no \
--enable-shared=yes \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make prefix=$PKG/usr libdir=$PKG/usr/lib install
@@ -79,7 +84,7 @@ if [ -e $CWD/cidmaps.tgz ]; then
fi
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)